> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.beehiiv.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.beehiiv.com/_mcp/server.

# Get webhook <Badge intent="info" minimal outlined>OAuth Scope: webhooks:read</Badge>

GET https://api.beehiiv.com/v2/publications/{publicationId}/webhooks/{endpointId}

Retrieve a specific webhook belonging to a publication.

Reference: https://developers.beehiiv.com/api-reference/webhooks/show

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `publicationId` (string, required) — The prefixed ID of the publication object
- `endpointId` (string, required) — The prefixed ID of the webhook object

## Response

### 200

OK

- `data` (Webhook, required)

## Errors

### 422 Unprocessable Entity Error

Unprocessable Entity

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 400 Bad Request Error

Bad Request

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 401 Unauthorized Error

Unauthorized. The API key or OAuth access token is missing, invalid, or expired.

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 404 Not Found Error

Resource Not Found

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 429 Too Many Requests Error

Rate Limit Exceeded

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 500 Internal Server Error

Internal Server Error

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

## Types

### Webhook

- `id` (string, required) — The prefixed ID for the webhook.
- `url` (string, required) — The webhook URL to send events to.
- `created` (integer, required) — The date the webhook was created. Measured in seconds since the Unix epoch.
- `updated` (integer, required) — The date the webhook was last updated. Measured in seconds since the Unix epoch.
- `event_types` (list of enum, required) — The types of events the webhook will receive.
  - Allowed values: `post.sent`, `post.updated`, `subscription.confirmed`, `subscription.created`, `subscription.downgraded`, `subscription.paused`, `subscription.resumed`, `subscription.tier.paused`, `subscription.tier.resumed`, `subscription.upgraded`, `subscription.tier.created`, `subscription.tier.deleted`, `subscription.deleted`, `newsletter_list_subscription.subscribed`, `newsletter_list_subscription.unsubscribed`, `newsletter_list_subscription.paused`, `newsletter_list_subscription.resumed`, `post.scheduled`, `survey.response_submitted`, `podcasts.episode.published`, `podcasts.episode.updated`, `podcasts.episode.archived`, `podcasts.episode.deleted`, `podcasts.private_feed.activated`, `podcasts.private_feed.access_revoked`, `podcasts.private_feed.deactivated`
- `description` (string, required) — The user-defined description for the webhook.

### ErrorDetail

- `message` (string, required)
- `code` (string, required)

## Examples

**Response**

```json
{
  "data": {
    "id": "ep_0ca1a8505a64924059c391744d0",
    "url": "https://example.com/webhook",
    "created": 1666800076,
    "updated": 1666800076,
    "event_types": [
      "post.sent",
      "subscription.confirmed"
    ],
    "description": "A webhook to receive new posts data and new subscription confirmations."
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/webhooks/ep_0000000000000000000000000000"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/webhooks/ep_0000000000000000000000000000';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/webhooks/ep_0000000000000000000000000000"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/webhooks/ep_0000000000000000000000000000")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/webhooks/ep_0000000000000000000000000000")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/webhooks/ep_0000000000000000000000000000', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/webhooks/ep_0000000000000000000000000000");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/webhooks/ep_0000000000000000000000000000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```